Bug 1141687 - PackageKit zypp backend offline updates always fail when a license needs to be accepted
PackageKit zypp backend offline updates always fail when a license needs to b...
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
64bit Other
: P5 - None : Normal (vote)
: ---
Assigned To: Jonathan Kang
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-16 16:50 UTC by Jan Blackquill
Modified: 2020-04-29 16:02 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Blackquill 2019-07-16 16:50:18 UTC
The bug is relatively self explanatory. Whenever an update requires that a license needs to be accepted (i.e. Nouveau's warning "license"), the offline update always fails.

pkcon offline-status reports 
```
Status: Failed
ErrorCode:no-license-agreement
ErrorDetails:You've to agree/decline a license
```
Comment 2 Jonathan Kang 2019-08-14 02:24:50 UTC
Which Tumbleweed build are you using? We had release a similar fix a few months
ago. Can you confirm that "pkcon update" fails with the same error?

Thanks.
Comment 3 Dominique Leuenberger 2020-04-29 16:02:16 UTC
(In reply to Jonathan Kang from comment #2)
> Which Tumbleweed build are you using? We had release a similar fix a few
> months
> ago. Can you confirm that "pkcon update" fails with the same error?
> 
> Thanks.

pkcon update works - but it asks to confirm the license. offlineupdate is unattended and does not ask for license dialog (silently fails)

Tested on 0425 -> 0427